export 'PYTORCH_CUDA_ALLOC_CONF=max_split_size_mb:256'
WANDB_PROJECT=llama2-atomic deepspeed --num_gpus 8 --master_port=9901 src/train_bash.py \
    --deepspeed zero2_deepspeed.json \
    --stage sft \
    --model_name_or_path meta-llama/Llama-2-7b-chat-hf \
    --do_train \
    --dataset atomic2020_eval_small \
    --template llama2 \
    --finetuning_type full \
    --output_dir output/atomic \
    --overwrite_cache \
    --per_device_train_batch_size 2 \
    --gradient_accumulation_steps 1 \
    --cutoff_len 50 \
    --lr_scheduler_type linear \
    --warmup_steps 3000 \
    --logging_steps 10 \
    --save_steps 1000 \
    --learning_rate 5e-5 \
    --num_train_epochs 3 \
    --plot_loss \
    --fp16 --overwrite_output

#  --gradient_checkpointing



# deepspeed --num_gpus 2 --master_port=9901 src/train_bash.py \
#     --deepspeed zero3_deepspeed.json \
#     --stage sft \
#     --model_name_or_path $TRANSFORMERS_CACHE/Llama-2-7b-chat-hf \
#     --do_train \
#     --dataset atomic2020_eval \
#     --template default \
#     --finetuning_type full \
#     --output_dir output/comet_full/lr5e-5 \
#     --overwrite_cache \
#     --per_device_train_batch_size 1 \
#     --gradient_accumulation_steps 16 \
#     --cutoff_len 100 \
#     --lr_scheduler_type linear \
#     --warmup_steps 3000 \
#     --logging_steps 10 \
#     --save_steps 1000 \
#     --learning_rate 5e-5 \
#     --num_train_epochs 1 \
#     --plot_loss \
#     --fp16 --overwrite_output

